_CausalityTraceLevel = function () {
  this.required = 0;
  this.important = 1;
  this.verbose = 2;
}
exports.CausalityTraceLevel = new _CausalityTraceLevel();

_CausalitySource = function () {
  this.application = 0;
  this.library = 1;
  this.system = 2;
}
exports.CausalitySource = new _CausalitySource();

_CausalityRelation = function () {
  this.assignDelegate = 0;
  this.join = 1;
  this.choice = 2;
  this.cancel = 3;
  this.error = 4;
}
exports.CausalityRelation = new _CausalityRelation();

_CausalitySynchronousWork = function () {
  this.completionNotification = 0;
  this.progressNotification = 1;
  this.execution = 2;
}
exports.CausalitySynchronousWork = new _CausalitySynchronousWork();

_ErrorOptions = function () {
  this.none = 0;
  this.suppressExceptions = 1;
  this.forceExceptions = 2;
  this.useSetErrorInfo = 3;
  this.suppressSetErrorInfo = 4;
}
exports.ErrorOptions = new _ErrorOptions();

_LoggingLevel = function () {
  this.verbose = 0;
  this.information = 1;
  this.warning = 2;
  this.error = 3;
  this.critical = 4;
}
exports.LoggingLevel = new _LoggingLevel();

TracingStatusChangedEventArgs = (function () {
  var cls = function TracingStatusChangedEventArgs() {
    this.enabled = new Boolean();
    this.traceLevel = new CausalityTraceLevel();
  };
  

  return cls;
}) ();
exports.TracingStatusChangedEventArgs = TracingStatusChangedEventArgs;

AsyncCausalityTracer = (function () {
  var cls = function AsyncCausalityTracer() {
  };
  

  cls.traceOperationCreation = function traceOperationCreation(traceLevel, source, platformId, operationId, operationName, relatedContext) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="traceLevel" type="CausalityTraceLevel">A param.</param>
    /// <param name="source" type="CausalitySource">A param.</param>
    /// <param name="platformId" type="String">A param.</param>
    /// <param name="operationId" type="Number">A param.</param>
    /// <param name="operationName" type="String">A param.</param>
    /// <param name="relatedContext" type="Number">A param.</param>
    /// </signature>
  }


  cls.traceOperationCompletion = function traceOperationCompletion(traceLevel, source, platformId, operationId, status) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="traceLevel" type="CausalityTraceLevel">A param.</param>
    /// <param name="source" type="CausalitySource">A param.</param>
    /// <param name="platformId" type="String">A param.</param>
    /// <param name="operationId" type="Number">A param.</param>
    /// <param name="status" type="Number">A param.</param>
    /// </signature>
  }


  cls.traceOperationRelation = function traceOperationRelation(traceLevel, source, platformId, operationId, relation) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="traceLevel" type="CausalityTraceLevel">A param.</param>
    /// <param name="source" type="CausalitySource">A param.</param>
    /// <param name="platformId" type="String">A param.</param>
    /// <param name="operationId" type="Number">A param.</param>
    /// <param name="relation" type="CausalityRelation">A param.</param>
    /// </signature>
  }


  cls.traceSynchronousWorkStart = function traceSynchronousWorkStart(traceLevel, source, platformId, operationId, work) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="traceLevel" type="CausalityTraceLevel">A param.</param>
    /// <param name="source" type="CausalitySource">A param.</param>
    /// <param name="platformId" type="String">A param.</param>
    /// <param name="operationId" type="Number">A param.</param>
    /// <param name="work" type="CausalitySynchronousWork">A param.</param>
    /// </signature>
  }


  cls.traceSynchronousWorkCompletion = function traceSynchronousWorkCompletion(traceLevel, source, work) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="traceLevel" type="CausalityTraceLevel">A param.</param>
    /// <param name="source" type="CausalitySource">A param.</param>
    /// <param name="work" type="CausalitySynchronousWork">A param.</param>
    /// </signature>
  }


    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.AsyncCausalityTracer = AsyncCausalityTracer;

IErrorReportingSettings = (function () {
  var cls = function IErrorReportingSettings() {
  };
  

  cls.prototype.setErrorOptions = function setErrorOptions(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="ErrorOptions">A param.</param>
    /// </signature>
  }


  cls.prototype.getErrorOptions = function getErrorOptions() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="ErrorOptions" />
    /// </signature>
    return new ErrorOptions();
  }


  return cls;
}) ();
exports.IErrorReportingSettings = IErrorReportingSettings;

RuntimeBrokerErrorSettings = (function () {
  var cls = function RuntimeBrokerErrorSettings() {
  };
  

  cls.prototype.setErrorOptions = function setErrorOptions(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="ErrorOptions">A param.</param>
    /// </signature>
  }


  cls.prototype.getErrorOptions = function getErrorOptions() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="ErrorOptions" />
    /// </signature>
    return new ErrorOptions();
  }


  return cls;
}) ();
exports.RuntimeBrokerErrorSettings = RuntimeBrokerErrorSettings;

ILoggingChannel = (function () {
  var cls = function ILoggingChannel() {
    this.enabled = new Boolean();
    this.level = new LoggingLevel();
    this.name = new String();
  };
  

  cls.prototype.logMessage = function logMessage(eventString) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="eventString" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.logMessage = function logMessage(eventString, level) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="eventString" type="String">A param.</param>
    /// <param name="level" type="LoggingLevel">A param.</param>
    /// </signature>
  }


  cls.prototype.logValuePair = function logValuePair(value1, value2) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value1" type="String">A param.</param>
    /// <param name="value2" type="Number">A param.</param>
    /// </signature>
  }

cls.prototype.logValuePair = function logValuePair(value1, value2, level) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value1" type="String">A param.</param>
    /// <param name="value2" type="Number">A param.</param>
    /// <param name="level" type="LoggingLevel">A param.</param>
    /// </signature>
  }


    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.ILoggingChannel = ILoggingChannel;

LoggingChannel = (function () {
  var cls = function LoggingChannel() {
    this.enabled = new Boolean();
    this.level = new LoggingLevel();
    this.name = new String();
  };
  
var cls = function LoggingChannel(name) {
      this.enabled = new Boolean();
      this.level = new LoggingLevel();
      this.name = new String();
};


  cls.prototype.logMessage = function logMessage(eventString) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="eventString" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.logMessage = function logMessage(eventString, level) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="eventString" type="String">A param.</param>
    /// <param name="level" type="LoggingLevel">A param.</param>
    /// </signature>
  }


  cls.prototype.logValuePair = function logValuePair(value1, value2) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value1" type="String">A param.</param>
    /// <param name="value2" type="Number">A param.</param>
    /// </signature>
  }

cls.prototype.logValuePair = function logValuePair(value1, value2, level) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value1" type="String">A param.</param>
    /// <param name="value2" type="Number">A param.</param>
    /// <param name="level" type="LoggingLevel">A param.</param>
    /// </signature>
  }


  cls.prototype.close = function close() {
}


    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.LoggingChannel = LoggingChannel;

LoggingActivity = (function () {
  var cls = function LoggingActivity() {
    this.id = new String();
    this.name = new String();
  };
  
var cls = function LoggingActivity(activityName, loggingChannel) {
      this.id = new String();
      this.name = new String();
};

var cls = function LoggingActivity(activityName, loggingChannel, level) {
      this.id = new String();
      this.name = new String();
};


  cls.prototype.close = function close() {
}


  return cls;
}) ();
exports.LoggingActivity = LoggingActivity;

ILoggingSession = (function () {
  var cls = function ILoggingSession() {
    this.name = new String();
  };
  

  cls.prototype.saveToFileAsync = function saveToFileAsync(folder, fileName, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="folder" type="Object">A param.</param>
    /// <param name="fileName" type="String">A param.</param>
    /// </signature>
  }


  cls.prototype.addLoggingChannel = function addLoggingChannel(loggingChannel) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="loggingChannel" type="ILoggingChannel">A param.</param>
    /// </signature>
  }

cls.prototype.addLoggingChannel = function addLoggingChannel(loggingChannel, maxLevel) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="loggingChannel" type="ILoggingChannel">A param.</param>
    /// <param name="maxLevel" type="LoggingLevel">A param.</param>
    /// </signature>
  }


  cls.prototype.removeLoggingChannel = function removeLoggingChannel(loggingChannel) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="loggingChannel" type="ILoggingChannel">A param.</param>
    /// </signature>
  }


  return cls;
}) ();
exports.ILoggingSession = ILoggingSession;

LoggingSession = (function () {
  var cls = function LoggingSession() {
    this.name = new String();
  };
  
var cls = function LoggingSession(name) {
      this.name = new String();
};


  cls.prototype.saveToFileAsync = function saveToFileAsync(folder, fileName, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="folder" type="Object">A param.</param>
    /// <param name="fileName" type="String">A param.</param>
    /// </signature>
  }


  cls.prototype.addLoggingChannel = function addLoggingChannel(loggingChannel) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="loggingChannel" type="ILoggingChannel">A param.</param>
    /// </signature>
  }

cls.prototype.addLoggingChannel = function addLoggingChannel(loggingChannel, maxLevel) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="loggingChannel" type="ILoggingChannel">A param.</param>
    /// <param name="maxLevel" type="LoggingLevel">A param.</param>
    /// </signature>
  }


  cls.prototype.removeLoggingChannel = function removeLoggingChannel(loggingChannel) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="loggingChannel" type="ILoggingChannel">A param.</param>
    /// </signature>
  }


  cls.prototype.close = function close() {
}


  return cls;
}) ();
exports.LoggingSession = LoggingSession;

LogFileGeneratedEventArgs = (function () {
  var cls = function LogFileGeneratedEventArgs() {
    this.file = new Object();
  };
  

  return cls;
}) ();
exports.LogFileGeneratedEventArgs = LogFileGeneratedEventArgs;

IFileLoggingSession = (function () {
  var cls = function IFileLoggingSession() {
    this.name = new String();
  };
  

  cls.prototype.closeAndSaveToFileAsync = function closeAndSaveToFileAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.addLoggingChannel = function addLoggingChannel(loggingChannel) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="loggingChannel" type="ILoggingChannel">A param.</param>
    /// </signature>
  }

cls.prototype.addLoggingChannel = function addLoggingChannel(loggingChannel, maxLevel) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="loggingChannel" type="ILoggingChannel">A param.</param>
    /// <param name="maxLevel" type="LoggingLevel">A param.</param>
    /// </signature>
  }


  cls.prototype.removeLoggingChannel = function removeLoggingChannel(loggingChannel) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="loggingChannel" type="ILoggingChannel">A param.</param>
    /// </signature>
  }


    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.IFileLoggingSession = IFileLoggingSession;

FileLoggingSession = (function () {
  var cls = function FileLoggingSession() {
    this.name = new String();
  };
  
var cls = function FileLoggingSession(name) {
      this.name = new String();
};


  cls.prototype.closeAndSaveToFileAsync = function closeAndSaveToFileAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.addLoggingChannel = function addLoggingChannel(loggingChannel) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="loggingChannel" type="ILoggingChannel">A param.</param>
    /// </signature>
  }

cls.prototype.addLoggingChannel = function addLoggingChannel(loggingChannel, maxLevel) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="loggingChannel" type="ILoggingChannel">A param.</param>
    /// <param name="maxLevel" type="LoggingLevel">A param.</param>
    /// </signature>
  }


  cls.prototype.removeLoggingChannel = function removeLoggingChannel(loggingChannel) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="loggingChannel" type="ILoggingChannel">A param.</param>
    /// </signature>
  }


  cls.prototype.close = function close() {
}


    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.FileLoggingSession = FileLoggingSession;

